PHP-инклюдинг в Soholaunch Pro

Дата публикации:
09.11.2006
Дата изменения:
24.03.2009
Всего просмотров:
4996
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Soholaunch Pro 4.x
Уязвимые версии: Soholaunch Pro 4.9 r36, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "_SESSION[docroot_path]" в сценариях sohoadmin/program/includes/shared_functions.php и sohoadmin/client_files/shopping_cart/pgm-shopping_css.inc.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[host]/sohoadmin/program/includes/shared_functions.php?_SESSION[docroot_path]=[file]
http://[host]/sohoadmin/client_files/shopping_cart/pgm-shopping_css.inc.php?_SESSION[docroot_path]=[file]

URL производителя: info.soholaunch.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Soholaunch Pro <=4.9 r36 Multiple Remote File Inclusion Vulnerability

или введите имя

CAPTCHA